/*
 File: t_def_delabort_tags.cpp
 Date and Time: Fri Jan 30 18:55:25 2015 
*/
#include "t_def_delabort_tags.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_t_def_delabort_tags;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 7;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[4] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[5] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[6] =  new Per_rule_s_reuse_table();
}
  Ct_def_delabort_tags::
  Ct_def_delabort_tags()
    :yacco2::CAbs_fsm
      ("t_def_delabort_tags.lex"
      ,"1.0"
      ,"23 mar 2004"
      ,false
      ,"AB AD grammar symbol tags recognizer."
      ,"Fri Jan 30 18:55:25 2015 "
      ,S1_Ct_def_delabort_tags){
    
  }
 
Ct_def_delabort_tags::~Ct_def_delabort_tags(){

  for(int x = 0;x < 7;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Ct_def_delabort_tags::failed(){
      return false;
  }
  void Ct_def_delabort_tags::op(){
}
int Ct_def_delabort_tags::rhs_to_rules_mapping_[72] = {
 -1
 ,0 // subrule 1 for rule 1
 ,0 // subrule 2 for rule 1
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,1 // subrule 6 for rule 2
 ,1 // subrule 7 for rule 2
 ,1 // subrule 8 for rule 2
 ,1 // subrule 9 for rule 2
 ,2 // subrule 10 for rule 3
 ,2 // subrule 11 for rule 3
 ,2 // subrule 12 for rule 3
 ,2 // subrule 13 for rule 3
 ,2 // subrule 14 for rule 3
 ,2 // subrule 15 for rule 3
 ,2 // subrule 16 for rule 3
 ,2 // subrule 17 for rule 3
 ,2 // subrule 18 for rule 3
 ,2 // subrule 19 for rule 3
 ,2 // subrule 20 for rule 3
 ,2 // subrule 21 for rule 3
 ,2 // subrule 22 for rule 3
 ,3 // subrule 23 for rule 4
 ,3 // subrule 24 for rule 4
 ,3 // subrule 25 for rule 4
 ,3 // subrule 26 for rule 4
 ,3 // subrule 27 for rule 4
 ,3 // subrule 28 for rule 4
 ,3 // subrule 29 for rule 4
 ,3 // subrule 30 for rule 4
 ,3 // subrule 31 for rule 4
 ,3 // subrule 32 for rule 4
 ,3 // subrule 33 for rule 4
 ,3 // subrule 34 for rule 4
 ,3 // subrule 35 for rule 4
 ,4 // subrule 36 for rule 5
 ,4 // subrule 37 for rule 5
 ,4 // subrule 38 for rule 5
 ,4 // subrule 39 for rule 5
 ,4 // subrule 40 for rule 5
 ,4 // subrule 41 for rule 5
 ,4 // subrule 42 for rule 5
 ,4 // subrule 43 for rule 5
 ,4 // subrule 44 for rule 5
 ,4 // subrule 45 for rule 5
 ,4 // subrule 46 for rule 5
 ,4 // subrule 47 for rule 5
 ,4 // subrule 48 for rule 5
 ,5 // subrule 49 for rule 6
 ,5 // subrule 50 for rule 6
 ,5 // subrule 51 for rule 6
 ,5 // subrule 52 for rule 6
 ,5 // subrule 53 for rule 6
 ,5 // subrule 54 for rule 6
 ,5 // subrule 55 for rule 6
 ,5 // subrule 56 for rule 6
 ,5 // subrule 57 for rule 6
 ,5 // subrule 58 for rule 6
 ,5 // subrule 59 for rule 6
 ,5 // subrule 60 for rule 6
 ,5 // subrule 61 for rule 6
 ,6 // subrule 62 for rule 7
 ,6 // subrule 63 for rule 7
 ,6 // subrule 64 for rule 7
 ,6 // subrule 65 for rule 7
 ,6 // subrule 66 for rule 7
 ,6 // subrule 67 for rule 7
 ,6 // subrule 68 for rule 7
 ,6 // subrule 69 for rule 7
 ,6 // subrule 70 for rule 7
 ,6 // subrule 71 for rule 7
}; 
Rt_def_delabort_tags::Rt_def_delabort_tags(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rt_def_delabort_tags",0,Ct_def_delabort_tags::R_Rt_def_delabort_tags_,P,false,false){
}

void Rt_def_delabort_tags::op(){
  sstrace_rulesss
 
      rtn_sym_->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
      RSVP(rtn_sym_);
      rtn_sym_ = 0;      
    
}
void Rt_def_delabort_tags::sr1(){
   
    rtn_sym_ = new T_AD;
    
}

void Rt_def_delabort_tags::sr2(){
   
    rtn_sym_ = new T_AB;
    
}

Rminus_la::Rminus_la(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rminus_la",0,Ct_def_delabort_tags::R_Rminus_la_,P,false,false){
}

RUPPER_A_M::RUPPER_A_M(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RUPPER_A_M",0,Ct_def_delabort_tags::R_RUPPER_A_M_,P,false,false){
}

RUPPER_N_Z::RUPPER_N_Z(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RUPPER_N_Z",0,Ct_def_delabort_tags::R_RUPPER_N_Z_,P,false,false){
}

Rlower_a_m::Rlower_a_m(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlower_a_m",0,Ct_def_delabort_tags::R_Rlower_a_m_,P,false,false){
}

Rlower_n_z::Rlower_n_z(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlower_n_z",0,Ct_def_delabort_tags::R_Rlower_n_z_,P,false,false){
}

RNUMBERS::RNUMBERS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RNUMBERS",0,Ct_def_delabort_tags::R_RNUMBERS_,P,false,false){
}

